﻿<Graph ClassName="RQRequestExtJO" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using CRLocation = PX.Objects.CR.Standalone.Location;
using PX.Data.ReferentialIntegrity.Attributes;
using PX.Data;
using PX.Objects.AP;
using PX.Objects.AR;
using PX.Objects.CM;
using PX.Objects.Common.Bql;
using PX.Objects.Common;
using PX.Objects.CR;
using PX.Objects.CS;
using PX.Objects.EP;
using PX.Objects.IN;
using PX.Objects.PO;
using PX.Objects.RQ;
using PX.Objects.SM;
using PX.Objects;
using PX.SM;
using PX.TM;
using System.Collections.Generic;
using System;

namespace PX.Objects.RQ
{
    public class RQRequestExtJO : PXCacheExtension<PX.Objects.RQ.RQRequest>
    {
        #region UsrBlockInReq
        [PXDBBool]
        [PXUIField(DisplayName = "Is Third Party")]
        [PXDefault(false, PersistingCheck = PXPersistingCheck.Nothing)]
        public virtual bool? UsrShowInReq { get; set; }
        public abstract class usrShowInReq : PX.Data.BQL.BqlBool.Field<usrShowInReq> { }
        #endregion

        #region UsrOrderTime
        [PXDBDateAndTime(DisplayNameDate = "Date", DisplayNameTime = "Time")]
        [PXUIField(DisplayName = "Date", Visibility = PXUIVisibility.SelectorVisible)]
        [PXDefault(typeof(AccessInfo.businessDate), PersistingCheck = PXPersistingCheck.Nothing)]
        public virtual DateTime? UsrOrderTime { get; set; }
        public abstract class usrOrderTime : PX.Data.BQL.BqlDateTime.Field<usrOrderTime> { }
        #endregion
    }
}]]></CDATA>
</Graph>